package com.ramos.munoz.tesis;

public class Precio {

    private long valorTiempoExtra;
    private long valorHora;
    private long valorMinimo;
    private boolean tieneTiempoExtra;
    private int intervaloTiempoExtra;
    private int id;
    private String carroceria;

    public Precio(int id, long valorHora, long valorMinimo, int tieneTiempoExtra, long valorTiempoExtra, String carroceria) {
	this.valorHora = valorHora;
	this.valorMinimo = valorMinimo;
	this.tieneTiempoExtra = tieneTiempoExtra != 0;
	this.intervaloTiempoExtra = tieneTiempoExtra;
	this.id = id;
	this.valorTiempoExtra = valorTiempoExtra;
	this.carroceria = carroceria;
    }

    public long getValorTiempoExtra() {
	return valorTiempoExtra;
    }

    public long getValorHora() {
	return valorHora;
    }

    public long getId() {
	return id;
    }

    public long getValorMinimo() {
	return valorMinimo;
    }

    public boolean tieneTiempoExtra() {
	return tieneTiempoExtra;
    }

    public String getCarroceria() {
	return carroceria;
    }

    public int getIntervaloTiempoExtra() {
	return intervaloTiempoExtra;
    }

}